#apc_enable: false,
apc_prefix: 'sf:'
extdir: "%kernel.root_dir%/../ext"
uploaddir: /

page:
    account-index: ['account/profile','account/subscription','account/history','account/favorite','account/watch','basket/mini','catalog/session']
    basket-index: ['basket/standard','basket/related']
    catalog-count: ['catalog/count']
    catalog-detail: ['basket/mini','catalog/stage','catalog/detail','catalog/session']
    catalog-list: ['basket/mini','catalog/filter','catalog/stage','catalog/lists']
    catalog-suggest: ['catalog/suggest']
    catalog-stock: ['catalog/stock']
    checkout-confirm: ['checkout/confirm']
    checkout-index: ['checkout/standard']
    checkout-update: ['checkout/update']

resource:
    db:
        adapter: mysql
        host: "%database_host%"
        port: "%database_port%"
        database: "%database_name%"
        username: "%database_user%"
        password: "%database_password%"
        stmt: ["SET SESSION sort_buffer_size=2097144; SET NAMES 'utf8'; SET SESSION sql_mode='ANSI'"]
        limit: 3
        opt-persistent: 0
    fs:
        adapter: Standard
        basedir: "%kernel.root_dir%/../web"
        tempdir: "%kernel.cache_dir%"
    fs-admin:
        adapter: Standard
        basedir: "%kernel.root_dir%/../web/uploads"
        tempdir: "%kernel.cache_dir%"
    fs-import:
        adapter: Standard
        basedir: "%kernel.cache_dir%/../import"
        tempdir: "%kernel.cache_dir%"
    fs-secure:
        adapter: Standard
        basedir: "%kernel.root_dir%/secure"
        tempdir: "%kernel.cache_dir%"
    mq:
        adapter: Standard
        db: db

admin:
    jqadm:
        url:
            copy:
                target: aimeos_shop_jqadm_copy
            create:
                target: aimeos_shop_jqadm_create
            delete:
                target: aimeos_shop_jqadm_delete
            export:
                target: aimeos_shop_jqadm_export
            get:
                target: aimeos_shop_jqadm_get
            save:
                target: aimeos_shop_jqadm_save
            search:
                target: aimeos_shop_jqadm_search
    jsonadm:
        url:
            target: aimeos_shop_jsonadm_get
            config:
                absoluteUri: true
            options:
                target: aimeos_shop_jsonadm_options
                config:
                    absoluteUri: true

client:
    html:
        account:
            subscription:
                url:
                    target: aimeos_shop_account
            history:
                url:
                    target: aimeos_shop_account
            favorite:
                url:
                    target: aimeos_shop_account_favorite
            watch:
                url:
                    target: aimeos_shop_account_watch
            download:
                url:
                    target: aimeos_shop_account_download
        catalog:
            count:
                url:
                    target: aimeos_shop_count
            detail:
                url:
                    target: aimeos_shop_detail
            lists:
                url:
                    target: aimeos_shop_list
            session:
                pinned:
                    url:
                        target: aimeos_shop_session_pinned
            stock:
                url:
                    target: aimeos_shop_stock
            suggest:
                url:
                    target: aimeos_shop_suggest
        common:
            content:
                baseurl: /
            template:
                baseurl: bundles/aimeosshop/elegance
        basket:
            standard:
                url:
                    target: aimeos_shop_basket
        checkout:
            confirm:
                url:
                    target: aimeos_shop_confirm
            standard:
                url:
                    target: aimeos_shop_checkout
                summary:
                    option:
                        terms:
                            url:
                                target: aimeos_shop_terms
                            cancel:
                                url:
                                    target: aimeos_shop_terms
                            privacy:
                                url:
                                    target: aimeos_shop_privacy
            update:
                url:
                    target: aimeos_shop_update
    jsonapi:
        url:
            target: aimeos_shop_jsonapi_options

controller:
    common:
        media:
            standard:
                # Mime icon related settings
                mimeicon:
                    # Directory where icons for the mime types stored. Must be relative to the path in "basedir"
                    directory: bundles/aimeosshop/mimeicons
                    # File extension of mime type icons
                    extension: .png
                # Parameter for images
                files:
                    # Allowed image mime types, other image types will be converted
                    # allowedtypes: [image/jpeg, image/png, image/gif ]
                    # Image type to which all other image types will be converted to
                    # defaulttype: jpeg
                    # Maximum width of an image
                    # Image will be scaled up or down to this size without changing the
                    # width/height ratio. A value of "null" doesn't scale the image or
                    # doesn't restrict the size of the image if it's scaled due to a value
                    # in the "maxheight" parameter
                    # maxwidth:
                    # Maximum height of an image
                    # Image will be scaled up or down to this size without changing the
                    # width/height ratio. A value of "null" doesn't scale the image or
                    # doesn't restrict the size of the image if it's scaled due to a value
                    # in the "maxwidth" parameter
                    # maxheight:
                # Parameter for preview images
                preview:
                    # Allowed image mime types, other image types will be converted
                    # allowedtypes: [image/jpeg, image/png, image/gif ]
                    # Image type to which all other image types will be converted to
                    # defaulttype: jpeg
                    # Maximum width of a preview image
                    # Image will be scaled up or down to this size without changing the
                    # width/height ratio. A value of "null" doesn't scale the image or
                    # doesn't restrict the size of the image if it's scaled due to a value
                    # in the "maxheight" parameter
                    # maxwidth: 360
                    # Maximum height of a preview image
                    # Image will be scaled up or down to this size without changing the
                    # width/height ratio. A value of "null" doesn't scale the image or
                    # doesn't restrict the size of the image if it's scaled due to a value
                    # in the "maxwidth" parameter
                    # maxheight: 280

i18n:

madmin:

mshop:
    customer:
        manager:
            password:
                options:
                    format: "%%1$s{%%2$s}"
    index:
        manager:
            name: MySQL
            attribute:
                name: MySQL
            catalog:
                name: MySQL
            price:
                name: MySQL
            supplier:
                name: MySQL
            text:
                name: MySQL

command:

backend:

frontend:
